---
title: Values
slug: Web/MathML/Attribute/Values
tags:
  - Guide
  - MathML
  - MathML Reference
---
<div>{{MathMLRef}}</div>

<h2 id="Lengths">Lengths</h2>

<p>Several MathML presentation elements have attributes that accept length values used for size or spacing. MathML accepts different units and constants for specifying lengths.</p>

<h3 id="Units">Units</h3>

<table class="standard-table">
 <thead>
  <tr>
   <th>Unit</th>
   <th>Description</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td><code>em</code></td>
   <td>{{ Cssxref("font-size", "Font-relative") }} unit</td>
  </tr>
  <tr>
   <td><code>ex</code></td>
   <td>{{ Cssxref("font-size", "Font-relative") }} unit. (The "x"-height of the element, <code>1ex ≈ 0.5em</code> in many fonts)</td>
  </tr>
  <tr>
   <td><code>px</code></td>
   <td>Pixels</td>
  </tr>
  <tr>
   <td><code>in</code></td>
   <td>Inches (1 inch = 2.54 centimeters)</td>
  </tr>
  <tr>
   <td><code>cm</code></td>
   <td>Centimeters</td>
  </tr>
  <tr>
   <td><code>mm</code></td>
   <td>Millimeters</td>
  </tr>
  <tr>
   <td><code>pt</code></td>
   <td>Points (1 point = 1/72 inch)</td>
  </tr>
  <tr>
   <td><code>pc</code></td>
   <td>Picas (1 pica = 12 points)</td>
  </tr>
  <tr>
   <td><code>%</code></td>
   <td>Percentage of the default value.</td>
  </tr>
 </tbody>
</table>

<h3 id="Constants">Constants</h3>

<p>{{deprecated_header}}</p>

<p>A replacement for the deprecated constants below is:</p>

<pre><code>veryverythinmathspace  =&gt; 0.05555555555555555em
verythinmathspace      =&gt; 0.1111111111111111em
thinmathspace          =&gt; 0.16666666666666666em
mediummathspace        =&gt; 0.2222222222222222em
thickmathspace         =&gt; 0.2777777777777778em
verythickmathspace     =&gt; 0.3333333333333333em
veryverythickmathspace =&gt; 0.3888888888888889em</code></pre>

<table class="standard-table">
 <thead>
  <tr>
   <th>Constant</th>
   <th>Value</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td><code>veryverythinmathspace</code></td>
   <td>1/18<code>em</code></td>
  </tr>
  <tr>
   <td><code>verythinmathspace</code></td>
   <td>2/18<code>em</code></td>
  </tr>
  <tr>
   <td><code>thinmathspace</code></td>
   <td>3/18<code>em</code></td>
  </tr>
  <tr>
   <td><code>mediummathspace</code></td>
   <td>4/18<code>em</code></td>
  </tr>
  <tr>
   <td><code>thickmathspace</code></td>
   <td>5/18<code>em</code></td>
  </tr>
  <tr>
   <td><code>verythickmathspace</code></td>
   <td>6/18<code>em</code></td>
  </tr>
  <tr>
   <td><code>veryverythickmathspace</code></td>
   <td>7/18<code>em</code></td>
  </tr>
  <tr>
   <th colspan="2">Negative <em>contstants</em> are introduced in Gecko 7.0 {{ geckoRelease("7.0") }} ({{ bug(650530) }})</th>
  </tr>
  <tr>
   <td><code>negativeveryverythinmathspace</code></td>
   <td>-1/18<code>em</code></td>
  </tr>
  <tr>
   <td><code>negativeverythinmathspace</code></td>
   <td>-2/18<code>em</code></td>
  </tr>
  <tr>
   <td><code>negativethinmathspace</code></td>
   <td>-3/18<code>em</code></td>
  </tr>
  <tr>
   <td><code>negativemediummathspace</code></td>
   <td>-4/18<code>em</code></td>
  </tr>
  <tr>
   <td><code>negativethickmathspace</code></td>
   <td>-5/18<code>em</code></td>
  </tr>
  <tr>
   <td><code>negativeverythickmathspace</code></td>
   <td>-6/18<code>em</code></td>
  </tr>
  <tr>
   <td><code>negativeveryverythickmathspace</code></td>
   <td>-7/18<code>em</code></td>
  </tr>
 </tbody>
</table>

<p>Note: <a class="external" href="http://www.w3.org/TR/MathML3/chapter3.html#id.3.3.4.2.1" rel="external" title="http://www.w3.org/TR/MathML3/chapter3.html#id.3.3.4.2.1">Namedspace binding is deprecated</a> in MathML3 and has been removed in Gecko 15.0 {{ geckoRelease("15.0") }} (<a class="external" href="https://bugzilla.mozilla.org/show_bug.cgi?id=673759" rel="external">bug 673759</a>).</p>
